
TYPO3.Flow - Bug # 41848

Bug # 41843 (New): Composer and rename issues (umbrella issue)

Status: Resolved Priority: Must have
Author: Adrian Föder Category: Core
Created: 2012-10-10 Assigned To: Christopher Hlubek
Updated: 2012-12-10 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git 1.2 (master)
Subject: Core migration tool applies migrations twice
Description

With for example my MooTools.Packager repository located here: http://git.typo3.org/FLOW3/Packages/MooTools.Packager.git I get
the following situation when running core:migrate then:

Applying TYPO3.FLOW3-201209201112
  Migrating MooTools.Packager
fatal: Could not switch to
'C:/Users/afoeder/PhpstormProjects/acme/Distribution/Packages/Application/MooTools.Packager/Meta': No such file or
directory
    [master c322f04] [TASK] Apply migration TYPO3.FLOW3-201209201112
     4 files changed, 2 insertions(+), 2 deletions(-)
     rename Classes/MooTools/Packager/{ => }/MooTools/Packager/Service/PackageBuildConfiguration.php (100%)
     rename Classes/MooTools/Packager/{ => }/MooTools/Packager/Service/PackageBuildService.php (100%)
     rename Classes/MooTools/Packager/{ => }/MooTools/Packager/ViewHelpers/JavaScriptFileViewHelper.php (100%)
  Skipping Twitter.Bootstrap, the migration is already applied.
  Skipping TYPO3.Aloha, the migration is already applied.
  Skipping TYPO3.Comments, the migration is already applied.
  Skipping TYPO3.Eel, the migration is already applied.
  Skipping TYPO3.ElasticSearch, the migration is already applied.
  Skipping TYPO3.ExtJS, the migration is already applied.
  Skipping TYPO3.Form, the migration is already applied.
  Skipping TYPO3.Imagine, the migration is already applied.
  Skipping TYPO3.Media, the migration is already applied.
  Skipping TYPO3.Phoenix.ContentTypes, the migration is already applied.
  Skipping TYPO3.Setup, the migration is already applied.
  Skipping TYPO3.SiteKickstarter, the migration is already applied.
  Skipping TYPO3.TYPO3, the migration is already applied.
  Skipping TYPO3.TYPO3CR, the migration is already applied.
  Skipping TYPO3.TypoScript, the migration is already applied.

The git log afterwards then says

commit c322f040a516bcb2ac105e829d25d91cafeb251c
Author: Adrian Föder <adrian@foeder.de>
Date:   Wed Oct 10 15:38:10 2012 +0200

    [TASK] Apply migration TYPO3.FLOW3-201209201112
    Change-Id: Ife57be5c01835f7bd97c7664cc55d3c55c7e8fa9

commit 857067ec5487b788bf9b86728952e20fb7d1093f
Author: Adrian Föder <adrian@foeder.de>
Date:   Wed Oct 10 13:45:30 2012 +0200

    [TASK] Last trivial FLOW3 to Flow renamings

    Change-Id: Ib5d96ca495c3c1bb39081a6098a394a3bf892e54

commit 01fc419cc1325ec951f4b74e49afbf64ee426188
Author: Adrian Föder <adrian@foeder.de>
Date:   Tue Oct 9 16:41:15 2012 +0200

    Deleted package.php file

    Change-Id: Iedc30438328f2f2f5d1b295ee2c3f64d3be1cc77

commit ec2705c3639820465331607c8fe47aaf29e1c734
Author: Adrian Föder <adrian@foeder.de>
Date:   Tue Oct 9 16:39:18 2012 +0200

    [TASK] Apply migration TYPO3.Flow-201209251426

    Change-Id: I31c8d8915d66507c8b8784d9292cf2c626816d17

commit 6dfad6702899c6f934558607ab50dce64dcde204
Author: Adrian Föder <adrian@foeder.de>
Date:   Tue Oct 9 16:39:18 2012 +0200

    [TASK] Apply migration TYPO3.FLOW3-201209201112

    Change-Id: Ie673fa7944b0d85916ece96c75ba4e3f7f14fe95
:

it can clearly be seen that the -1112 migration is applied twice.
Afterwards, the actual class files lay here:

`Classes/MooTools/Packager/MooTools/Packager/[heretheyare]`.

Associated revisions
Revision 03d6d6fd - 2012-10-18 17:53 - Christopher Hlubek

[BUGFIX] Apply PSR-0 code migration only to non-PSR-0 packages

This change adds a condition to prevent the code migration to move
classes inside the Classes directory if it is already in PSR-0 layout.

Additionally an already existing composer.json will not be overwritten
and a safeguard was added to AbstractMigration that checks if a file
that should be deleted actually exists.
Change-Id: I33f7b0b126e2d15c5d057b85bb10b0d6c2b32ab0
Related: #41848
Releases: 1.2

Revision 77f148cd - 2012-10-19 09:04 - Adrian Föder

[BUGFIX] Workaround issues with multiline commit messages

In core migration functionality, particularily on windows
systems, the commit message is cropped at the first occurrence
of a newline character. This leads into trouble when the core
migration tool searches for the Migration: ... footers in the
commit history as they won't be there then.

Change-Id: Ic0f7d6864657af5b93b71dfdf23aa6b0a84da7d3
Related: #41848
Releases: 1.2

History
#1 - 2012-10-12 10:48 - Robert Lemke
- Priority changed from Should have to Must have
- Target version set to 2.0 beta 1

#2 - 2012-10-12 10:48 - Robert Lemke
- Project changed from TYPO3 Flow Base Distribution to TYPO3.Flow

#3 - 2012-10-12 10:49 - Robert Lemke
- Category set to Core
- Has patch set to No

#4 - 2012-10-12 17:29 - Christopher Hlubek
- Status changed from New to Accepted
- Assigned To set to Christopher Hlubek

I also ran into that an hour ago, so I'll supply a fix for that.

#5 - 2012-10-12 17:30 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15531

#6 - 2012-10-18 17:27 - Karsten Dambekalns

Well, the interesting part: why are there no Migration: 2012... footers in the commit messages? If they are indeed lacking, this fixes a symptom of
something else. Although the check in the suggested change makes sense - it will skip packages that were coded with PSR-0 from the start.
#7 - 2012-12-10 13:08 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
